/*
 *  Copyright 2010 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.web.tool.consistency');

org.ametys.web.tool.consistency.GlobalConsistencyToolFactory = function(id, config, pluginName) 
{
	org.ametys.web.tool.consistency.GlobalConsistencyToolFactory.superclass.constructor.call(this, id, config, pluginName);
};

Ext.extend(org.ametys.web.tool.consistency.GlobalConsistencyToolFactory, org.ametys.uitool.tool.impl.UniqueInstanceToolFactory,
{
	createTool : function (id)
	{
		return new org.ametys.web.tool.consistency.GlobalConsistencyTool (id, this.getPluginName());
	},
	openTool: function(params)
	{
		org.ametys.uitool.ToolsManager.getInstance().openTool('uitool-consistency', {});
		org.ametys.web.tool.consistency.GlobalConsistencyToolFactory.superclass.openTool.createDelegate(this).call(params);
	}
});
