/*
 *  Copyright 2012 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.web.pageaccess');

org.ametys.web.pageaccess.RemoveAccessButton = function(id, configuration, pluginName)
{
	org.ametys.web.pageaccess.RemoveAccessButton.superclass.constructor.call(this, id, configuration, pluginName);
}

Ext.extend(org.ametys.web.pageaccess.RemoveAccessButton, org.ametys.ribbon.control.button.RightActionSelectionButton, {});

org.ametys.web.pageaccess.RemoveAccessButton.prototype._hasRight = function(target)
{
	var pageTarget = org.ametys.messagebus.message.MessageTargetHelper.findFirst([target], function (target) { return target.getType() == 'page'; });

	if (pageTarget == null)
	{
		return false;
	}
	else
	{
		return org.ametys.web.pageaccess.RemoveAccessButton.superclass._hasRight.call(this, pageTarget);
	}
}
